Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax
Class AbstractToken

    java.lang.Object
      avrora.syntax.AbstractToken

Direct Known Subclasses:
  Token, Token, Token, Token

public abstract class AbstractToken
extends java.lang.Object

This class is used to unify the Token classes from all JavaCC-generated parsers.

Field Summary
`int` | `beginColumn` beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.
`int` | `beginLine` beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.
`int` | `endColumn` beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.
`int` | `endLine` beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.
`java.lang.String` | `file` The file in which the token originated.
`java.lang.String` | `image` The string image of the token.

Constructor Summary
`AbstractToken()`

Method Summary
`abstract AbstractToken` | `getNextToken()`
`java.lang.String` | `toString()` Returns the image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### beginLine

    public int beginLine

  beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.

### beginColumn

    public int beginColumn

  beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.

### endLine

    public int endLine

  beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.

### endColumn

    public int endColumn

  beginLine and beginColumn describe the position of the first character of this token; endLine and endColumn describe the position of the last character of this token.

### image

    public java.lang.String image

  The string image of the token.

### file

    public java.lang.String file

  The file in which the token originated.

Constructor Detail

### AbstractToken

    public AbstractToken()

Method Detail

### toString

    public java.lang.String toString()

  Returns the image.

### getNextToken

    public abstract AbstractToken getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD